package com.qmth.ops.biz.domain;

public enum EnvType {

    TEST("测试环境", Role.TEST, Role.OPS), PROD("生产环境", Role.OPS);

    private String name;

    private Role[] role;

    private EnvType(String name, Role... role) {
        this.name = name;
        this.role = role;
    }

    public String getName() {
        return name;
    }

    public Role[] getRole() {
        return role;
    }

    public String getCode() {
        return toString().toUpperCase();
    }
}
