package com.qmth.ops.biz.query;

import com.qmth.boot.mybatis.query.BaseQuery;
import com.qmth.ops.biz.domain.App;
import com.qmth.ops.biz.domain.Role;
import com.qmth.ops.biz.domain.User;

public class AppQuery extends BaseQuery<App> {

    private static final long serialVersionUID = -5738758110090463622L;

    private Long id;

    private String code;

    private String nameStartWith;

    private Long userId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getNameStartWith() {
        return nameStartWith;
    }

    public void setNameStartWith(String nameStartWith) {
        this.nameStartWith = nameStartWith;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public void setUser(User user) {
        if (!user.hasRole(Role.OPS, Role.ADMIN)) {
            setUserId(user.getId());
        }
    }

}
