package com.qmth.ops.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.ops.biz.domain.App;
import com.qmth.ops.biz.domain.AppDTO;
import com.qmth.ops.biz.query.AppQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AppDao extends BaseMapper<App> {

    List<AppDTO> findByQuery(@Param("query") AppQuery query);

    IPage<AppDTO> findByQuery(Page page, @Param("query") AppQuery query);
}
